<script setup lang="ts">
    import { computed } from "vue";

    const props = defineProps(["modelValue", "label", "density", "rules"]);
    const emit = defineEmits(["update:modelValue"]);

    const rules = props.rules ?? [];

    const localValue = computed({
        get: () => props.modelValue,
        set: (value) => {
            emit("update:modelValue", parseInt(value));
        },
    });
</script>

<template>
    <v-text-field type="number" :label="props.label" v-model="localValue" :density="props.density" :rules="rules"> </v-text-field>
</template>
